Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82436 - ext3 or ide driver (pdc202xx.c?) hang or deadlock writing, copying many files (eg: with cp -a, cpio -i, tar -x)
Summary: ext3 or ide driver (pdc202xx.c?) hang or deadlock writing, copying many files...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 04:30 UTC by E. Will Brown
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:26 UTC


Attachments (Terms of Use)

Description E. Will Brown 2003-01-22 04:30:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If I use cp -a, or cpio -i, or cpio -p to copy a reasonably large number of
files (say, > 100M) onto an ext3 filesystem on my ultra ATA/100 disk drive
controlled with a Promise Ultra 100 TX2 controller (pdc20268) the file system
(or perhaps the driver, not sure which) hangs up the copy process. All
subsequent processes attempting to access that file system or another one under
the same controller but possibly a different ide channel will also hang. These
processes cannot be killed. It is impossible to reboot except by reseting the
machine with the big red button, or sometimes with ctl-alt-del *after* entering
halt -nfip which itself does not do the job (it also hangs).  Can copy huge
files onto the same file system (eg: 3+ GB) with no problem, so I don't think
its a hardware problem.

workaround1: easy, use ext2 (no journaling).
workaround2: the same cp -a, etc. work fine on my older udma2 IBM  drives,
controlled by the on-motherboard IDE controller.

This is an SMP (dual) supermicro P6DBU. There is also a SCSI controller and
drives, but these don't have the same problem - a different problem - but that's
another story.

1GB ECC DRAM.

Disks are Western Digital WD1000BB (100GB).
File system covers entire disk and is around 95MB in size but was either empty
or had a few large files on it.

kernel: 2.4.18-19.8.0 (stock redhat 8.0 + up2date)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkfs -t ext3 /dev/hdg5 on a largish IDE disk (WD caviar) controlled by
pdc20268. This may need to be a biggish (90+GB file system)
2. mount /dev/hdg5 /mnt/bigdisk
3. cp -ax / /mnt/bigdisk/root
    

Actual Results:  The cp -ax hangs (stops copying) and all subsequent commands
that access any filesystem on a disk controlled by the pdc20268 also hang.
They cannot be killed. reboot difficult but necessary.

Expected Results:  uh, duh, the cp -ax should have copied the whole root filesystem.

Additional info:

workaround1: easy, use ext2 (no journaling).
workaround2: the same cp -a, etc. work fine on my older udma2 IBM  drives,
controlled by the on-motherboard IDE controller.

This is an SMP (dual) supermicro P6DBU. There is also a SCSI controller and
drives, but these don't have the same problem - a different problem - but that's
another story.

1GB ECC DRAM.

Disks are Western Digital WD1000BB (100GB).
File system covers entire disk and is around 95MB in size but was either empty
or had a few large files on it.

kernel: 2.4.18-19.8.0 (stock redhat 8.0 + up2date)

Comment 1 Bugzilla owner 2004-09-30 15:40:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.